[Bioperl-l] Bioperl tests: Test, Test::Simple, Test::More?

Chris Fields cjfields at uiuc.edu
Tue Sep 5 16:04:25 EDT 2006


> I think that we need to require at least 5.6.1. I don't want to test
> against
> earlier versions.
> 
> Lincoln

I agree.  Perl 5.005 is pretty old. 

As for using Test::More, we could add Test::Simple to the bioperl /t
directory instead of Test and use a similar eval{} test to check for a local
installation of Test::More, using the one prepackaged with Bioperl as a
fallback.  

Alternatively, we can add Test::Simple prereqs to Makefile.PL and maybe get
Chris D. to add it to Bundle::BioPerl.  Test::Simple should work for older
versions of perl, even 5.0045.

Chris



More information about the Bioperl-l mailing list